---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.20962241122082922
        band_11: 0.13495374686499345
        band_12: 0.08102841958450654
        band_2: 0.20914128560683296
        band_3: 0.3737939838562014
        band_4: 0.206764560445718
        band_5: 0.20674318001158676
        band_6: 0.20674318001158676
        band_7: 0.6996190158866279
        band_8: 0.7000696095504632
        band_8a: 0.699400396006097
      alpha_2:
        band_1: 0.2232222908106619
        band_11: 0.2000555377612195
        band_12: 0.24898054015470347
        band_2: 0.22376948662163626
        band_3: 0.17905756654200564
        band_4: 0.21688411794884038
        band_5: 0.21689620280949962
        band_6: 0.21689620280949962
        band_7: 0.06603590638715087
        band_8: 0.06601685529877001
        band_8a: 0.06603306146009166
      id:
      - c4105142-a5ea-5096-a17a-093d41b6c6a9
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.256
    water_vapour:
      id:
      - 1a211e65-fb7c-543f-8fba-017c132df881
      tier: DEFINITIVE
      value: 4.9
  id: 2b0c26cb-3314-43d2-b636-30945bc0985f
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1919.942525014912
      BAND-11: 233.74233695022883
      BAND-12: 79.94138671074843
      BAND-2: 1962.5603351858085
      BAND-3: 1837.5711462140907
      BAND-4: 1500.3768358180373
      BAND-5: 1385.0412357519801
      BAND-6: 1263.8540545579935
      BAND-7: 1156.987142400744
      BAND-8: 1024.7088972663482
      BAND-8A: 934.4538638704886
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-05-03 01:21:21.916627Z
    atime: 2022-05-26 10:10:43Z
    ctime: 2020-05-14 20:21:49Z
    mtime: 2020-05-14 20:21:18Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20200503T011731_N0209_R088_T53LPD_20200503T024249.zip
  system_information:
    hostname: gadi-cpu-clx-1079.gadi.nci.org.au
    runtime_id: 1a1885c8-dcdc-11ec-862f-0000018cfe80
    time_processed: 2022-05-26 10:10:43.027216Z
    uname: 'Linux gadi-cpu-clx-1079.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 11.0
    red: 0.0
    teal: 4.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 9
  granule: S2A_OPER_MSI_L1C_TL_SGS__20200503T024249_A025396_T53LPD_N02.09
  ref_date: '2013-09-14T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/070/LC81020702013257LGN00_B2.TIF
  residual:
    abs:
      x: 0.37
      xy: 0.4
      y: 0.16
    abs_iterative_mean:
      x: 0.41
      xy: 0.43
      y: 0.12
    cep90: 0.49
    iterative_mean:
      x: 0.41
      xy: 0.43
      y: -0.12
    iterative_stddev:
      x: 0.07
      xy: 0.11
      y: 0.08
    mean:
      x: 0.36
      xy: 0.39
      y: -0.15
    stddev:
      x: 0.17
      xy: 0.25
      y: 0.18
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 9.526943602869958
    cloud: 9.417267408162594
    cloud_shadow: 0.6964786384480988
    snow: 0.03299234941423665
    water: 80.32631800110511
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 96.12441897564547
    cloud: 3.8755810243545388
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
